


#ifndef  __JBXL_GZPACKING_TOOL_H_
#define  __JBXL_GZPACKING_TOOL_H_


/**
@brief   gzツールプログラム ヘッダ
@file    gz_tool.h
@author  Fumi.Iseki (C)
*/


#include "tools.h"

#include <zlib.h>


#ifdef WIN32
#pragma  comment(lib, "zlib.lib")
#endif






int  gz_encode_file(const char* ffn, const char* tfn);
int  gz_decode_file(const char* ffn, const char* tfn);
int  gz_decode_file_replace(const char* fn, const char* dir);

int  gz_decode_fp(FILE* infp, FILE* otfp);

int  gz_encode_gzfp(FILE* fp, gzFile* gf);
int  gz_decode_gzfp(gzFile* gf, FILE* fp);


#endif 
